# Copyright Jeron A. Lau 2018.
# Dual-licensed under either the MIT License or the Boost Software License,
# Version 1.0.  (See accompanying file LICENSE_1_0.txt or copy at
# https://www.boost.org/LICENSE_1_0.txt)
#
# XXXX  X                    /5\——————/5\       XXXX      X           X
# X   X X   XXX   XXXX      |   0    0   |     X      XXX   XXXX XXXX X X   X
# X   X X  X   X  X   X  /"\|     <>     |/"\  X      X   X    X    X X X   X
# XXXX  X  X   X  X   X  \  \\_  ====  _//  /  X   XX X   X   X    X  X  X X
# X     X  X   X  XXXX    \_              _/   X    X X   X  X    X   X   X
# X     X   XXX   X       / \            / \    XXXX  X   X XXXX XXXX X   X
#                 X       \                /                            XX
#                          --____________--

[package]
name = "asi_vulkan"
version = "0.9.0"
authors = [
	"Jeron A. Lau <jeron.lau@plopgrizzly.com>"
]
license = "MIT / BSL-1.0"
documentation = "https://docs.rs/asi_vulkan"
homepage = "https://gitlab.com/plopgrizzly/adi/"
repository = "https://gitlab.com/plopgrizzly/adi/asi_vulkan"
readme = "README.md"
description = "Rust safe bindings for Vulkan."
keywords = ["vulkan"]
categories = ["rendering::graphics-api", "hardware-support",
	"api-bindings", "rendering", "external-ffi-bindings"]

[dependencies]
dl_api = "0.2"
awi = "0.8"
euler = "0.4"

[features]
default = [] # ["checks"] # Un-comment for validation layers.
checks = []
